typedef struct NOIDEA_victor
{
	int x;		//X coordinate	or  deltaX   or sinus(angle)
	int y;		//Y coordinate  or  deltaY   or cosinus(angle)
} NOIDEA_victor;

void NOIDEA_vadd (NOIDEA_victor * noidea_dest, NOIDEA_victor * noidea_src)
{
	noidea_dest->x += noidea_src->x;
	noidea_dest->y += noidea_src->y;
}

void NOIDEA_vsub (NOIDEA_victor * noidea_dest, NOIDEA_victor * noidea_src)
{
	noidea_dest->x -= noidea_src->x;
	noidea_dest->y -= noidea_src->y;
}

void NOIDEA_vmul (NOIDEA_victor * noidea_dest, NOIDEA_victor * noidea_src)
{
	noidea_dest->x *= noidea_src->x;
	noidea_dest->y *= noidea_src->y;
}

void NOIDEA_vdiv (NOIDEA_victor * noidea_dest, NOIDEA_victor * noidea_src)
{
	noidea_dest->x /= noidea_src->x;
	noidea_dest->y /= noidea_src->y;
}

void NOIDEA_vswap (NOIDEA_victor * noidea_dest, NOIDEA_victor * noidea_src)
{
	noidea_dest->x ^= noidea_src->x;
	noidea_dest->y ^= noidea_src->y;
	noidea_src->x ^= noidea_dest->x;
	noidea_src->y ^= noidea_dest->y;
	noidea_dest->x ^= noidea_src->x;
	noidea_dest->y ^= noidea_src->y;
}

void NOIDEA_vinv (NOIDEA_victor * noidea_src)
{
	noidea_src->x -= 1;
	noidea_src->y -= 1;
	noidea_src->x = ~noidea_src->x;
	noidea_src->y = ~noidea_src->y;
}

